using GameMessage;

namespace ObjectMessage
{
    public static class TipCodeMessageEx
    {
        public static void SetCode(this TipCodeResponse resp, int code)
        {
            resp.Code = code;
            if (MessageTip.Tips.TryGetValue(code, out var tip))
            {
                resp.Message = tip; 
            }
        }
    }
}